# v0.1.22

## Fixes

- Note creator too wide on mobile
- Sending notes dialog duplicated when replying

---

# v0.1.21

## Added

- Add gradients to iris.to domain
- Render referenced kind-3 (ContactList) as pubkey list
- List feed page renders the posts of a given list `/list-feed/{naddr-of-nip51-list-or-nevent-of-kind3}`
- Respond to AUTH when expected (Requesting DM's/GiftWrap)
- Show reply counts on threads
- Quote Repost
- Signature checks can be enabled in preferences
- NIP-98 auth for void.cat / nostr.build file uploaders
- Add `E` tag for direct replies
- File upload progress bar (void.cat only)
- Long form modal for deck layout (WIP still)
- Video thumbnails using ImgProxy
- Renew subscriptions for X months
- Tailwind CSS migration @mmalmi
- Seasonal features
- Profile cards on hover for mentions
- Dropdown search results on search bar @mmalmi
- Renew subscription task on task list

## Changed

- Disable highligher.js code blocks (for now)
- Removed "Popular Accounts" from new user flow, replaced with "Snort Devs" only
- Moved "Show Preview" on note creator to preview toggle switch
- Premium subscription renamed to PRO
- Limit images in posts to 800px high
- Nostrplebs colors removed

## Fixed

- Use correct hostname when submitting analytics
- Disable WASM when not supported on device
- Typo on "Nostr Address" in account settings
- Hide expired user status on profiles
- Hide muted dm chats
- Hide blocked replies

---

# v0.1.20

## Added

- Highlight text in search results - @fernandoporazzi
- Iris/Snort build configuration - @mmalmi
- Iris free NIP-05 on Profile page - @mmalmi
- Image galleries on posts - @fernandoporazzi
- Close modal with ESC - @mmalmi
- Navigate image spotlight with LR direction keys - @mmalmi
- Spotlight preview profile/banner on click - @mmalmi
- Fetch profiles from HTTP cache (Iris) - @mmalmi
- Animal names for empty profile accounts (Iris) - @mmalmi
- Redirect to NIP-05 short links for iris/snort accounts - @mmalmi
- Code block highlighting - @fernandoporazzi
- Notification summary graph - @Kieran
- Profile hover cards - @Kieran
- Keyboard shortcuts for new post/focus/search - @fernandoporazzi
- Markdown rendering for long form content - @Kieran
- Show relay response when publishing - @Kieran

## Fixed

- Copy buttons on insecure context - @Kieran

---

# v0.1.19

## Added

- Highlight search results

## Fixes

- Copy to clipboard on insecure context (Umbrel)

---

# v0.1.16

## Fixes

- Login bugs

---

# v0.1.15

## Added

- User status on profile pages (Music only [NIP-38])
- Following mark on avatars, if you follow the pubkey you will see a green tick on their avatar
- Pin encryption, encrypted private key storage for nsec login
- Pubkey (readonly) logins hide buttons which cannot be used (reactions, reply, save profiles, dms etc)
- Muted words feature (phase 1)
- NIP-28 public chats

## Changed

- Styles changes for Content warnings
- Live stream embed styles
- Cashu token embed styles
- Snort Deck thread navigation in modal from timeline
- PoW miner moved to WASM module for faster hashing

## Fixed

- Profile link to dms
- Long form content loading and replies
- Search function restored

---

# v0.1.14

## Added

- Timeline cache: faster page loads and much lower data usage
- WASM module: Some code moved to Rust WASM module for faster execution
- Zap Splits: NIP-57.G
- New Languages:
  - Finnish
  - Dutch
  - Portuguese Brazilian

## Changed

- Count polls by pubkey

---

# v0.1.13

# Added

- Snort V2 Design
- NIP-24 Encrypted secret chats (nsec login only)
- NIP-13 Proof of Work (POW)
- NIP-31 Alt tag spec for unknown event kinds
- Render mentioned zap goals (Kind 9041)
- Embed fonts in src (No more google fonts requests)
- Native key storage for Android app (`Nip7os` interface)
- Swahili translations
- Thai translations

# Changed

- PWA pre-cache setup (Faster PWA loading)
- Show note creator button on profile pages

# Fixed

- Umlauts in urls
- Reject events which don't match request filter

---

# v0.1.12

# Added

- nsecBunker support (connection string `bunker://<pubkey>?relay=wss://realy.com[#token]`)

# Changed

- New snort logo by Bitko
- Infinite scroll changed to manual action (temperarily to fix performance issues)

# Fixed

- Note to self containing all DMS
- Media spotlight disabled for poll options containing images
- Badge image sizes oversize when bypassing imgproxy due to loading error

---

# v0.1.11

## Added

- `@snort/system` package
- `@snort/system-react` package
- Live streaming page (NIP-102)
- Chat system refactor (adding new chat systems much easier now, NIP-29 first candidate)
- NIP-29 simple group chat support

## Fixed

- Profile links with incorrect hrp fixed in some places
- `naddr` event loading fixed
- Relay specific requests fixed (Global tab / Search page)
- NWC connection responds to AUTH requests now

https://git.v0l.io/Kieran/snort/compare/v0.1.10...v0.1.11

---

# v0.1.10

## Added

- Gossip model, query follows write relays for events
- @snort/system NPM package containing Snort core nostr code
- NIP-44 Encryption scheme support
- NIP-59 Gift Wrap support

## Fixed

- Unmarked thread events replies out of order

https://git.v0l.io/Kieran/snort/compare/v0.1.9...v0.1.10

---

# v0.1.9

## Added

- Discover tab, shows trending users/posts from nostr.build
- New DM styles
- Mentioned Zapstr tracks are previewed on Snort with player
- Custom emoji rendering in posts (NIP-30)
- Lanaguage selector on new user flow
- ZapPool, support nostr ecosystem by donating a percentage of your zaps
- Alby NWC link added to NWC connect page
- SemisolDev follow recommendations on Discover tab
- Pubkey lists (NIP-51) render inline when mentioned in notes
- Persian language
- OpenGraph Image/Video media rendered inside link preview box
- Option to zap everybody on mentioned pubkey list
- L402 support for inline media (paywall content)

## Changed

- Error page shows actual error message now, also a button to reset app cache
- Massivly improved profile loading
- Improved JS bundle size by ejecting CRA and using dynamic modules
- Switched to `@void-cat/api` package for void.cat uploads

---

# v0.1.8

## Added

- Tamil Language support
- Quoted notes are rendered embedded
- Multi-account support for subscribers
- Zapper key loading processing in background to speed up profile loading
- Export keys page added to settings
- NIP-94 support for rendering quoted file metadata events
- Interactions cache (zaps/likes/reports) for better UX
- Full screen image/video previews in modal
- Re-broadcast own events dialog
- Nostr wallet connect support
- Cashu token parsing preview with redeem link
- Trending notes/people tabs added to search page

## Changed

- Profile page loads only 200 latest notes, improving profile load times for accounts with less activity
- New user flow has been tweaked to be shorter with NIP5 & Twitter import steps removed

## Fixed

- Thread navigation without page reload
- NIP-42 functionality restored
- `a` tagged kind 1 replies render properly under root event

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.7...v0.1.8

---

# v0.1.7

## Added

- Per event zap targets by @v0l
- Content warning (NIP-36) support by @v0l
- Polls (NIP-69) by @v0l
- Snort subscriptions by @v0l
- NIP-94 File header support by @v0l
- Link previews by @ghobs91 & @v0l
- Cmd+Enter to post note by @v0l
- `nostr:` links (NIP-27) by @v0l
- Tending users on Search page by @ghobs91 & @v0l

## Changed

- Paste image upload by @vivganes
- Note creator note preview by @v0l
- Login private key input masking by @vivganes

## Fixed

- Fix note creator closing on thread when new replies load by @SamSamskies
- Follow hashtag tab highlighting by @SamSamskies
- Language dropdown defaults to Arabic by @vivganes
- Bookmarks showing reactions by @vivganes
- Single zapper on note only shows name by @vivganes
- Broken link previews show empty box by @vivganes
- Render jfif images by @v0l

## PR List

- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/476
- `nostr` package: implement NIP-05 by @sistemd in https://github.com/v0l/snort/pull/474
- `nostr` package: NIP-09 event deletion by @sistemd in https://github.com/v0l/snort/pull/478
- fix #484 by @vivganes in https://github.com/v0l/snort/pull/486
- fix #485 by @vivganes in https://github.com/v0l/snort/pull/487
- Per event zap targets by @v0l in https://github.com/v0l/snort/pull/466
- feat: nip-36 by @v0l in https://github.com/v0l/snort/pull/497
- fix #496 by @vivganes in https://github.com/v0l/snort/pull/498
- use redux for NoteCreator state management by @SamSamskies in https://github.com/v0l/snort/pull/494
- fix #495 by @vivganes in https://github.com/v0l/snort/pull/499
- Polls (NIP-69) by @v0l in https://github.com/v0l/snort/pull/489
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/483
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/508
- add ability to paste image from clipboard by @vivganes in https://github.com/v0l/snort/pull/510
- Subscriptions by @v0l in https://github.com/v0l/snort/pull/506
- feat: multi-account system by @v0l in https://github.com/v0l/snort/pull/514
- fix followed tag active tab highlighting by @SamSamskies in https://github.com/v0l/snort/pull/516
- NIP-94 file headers by @v0l in https://github.com/v0l/snort/pull/488
- fix #517 by @vivganes in https://github.com/v0l/snort/pull/518
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/511
- `nostr` package: get tests passing in the browser by @sistemd in https://github.com/v0l/snort/pull/490
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/519
- Subscription handle by @v0l in https://github.com/v0l/snort/pull/522

## New Contributors

- @vivganes made their first contribution in https://github.com/v0l/snort/pull/486

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.6...v0.1.7

---

# v0.1.6

## 🏷️ Summary

- Snort NIP5 management page (for transfers to new pubkeys)
- Short links for Snort NIP5 owners (ie. https://snort.social/kieran)

## Other Changes

- Update Wavlake embed to support .com links by @blastshielddown in https://github.com/v0l/snort/pull/469
- Bug fixes for save profile & relay connection on clean browser

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.5...v0.1.6

---

# v0.1.5

## 🏷️ Short Summary

- Completely rebuilt "core" subscription management system
- Option to rewrite Twitter links to Nitter links
- Tarui app setup, Mac/Windows/Linux desktop apps (coming soon)
- OpenGraph tagging for profiles and events (Only for https://snort.social)
- NIP-27 `nostr:` link parsing
- Global tab full relay names

## What's Changed

- `nostr` package: add direct messages by @sistemd in https://github.com/v0l/snort/pull/399
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/445
- Display search property alongside host in relay name by @h3y6e in https://github.com/v0l/snort/pull/452
- Shorten long relay name by @h3y6e in https://github.com/v0l/snort/pull/455
- Nostr links by @v0l in https://github.com/v0l/snort/pull/461
- `nostr` package: vastly simplify the API by @sistemd in https://github.com/v0l/snort/pull/412
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/453
- Fix: invisible <option> text in dark theme by @jiftechnify in https://github.com/v0l/snort/pull/454
- add setting for rewriting twitter links to nitter by @w3irdrobot in https://github.com/v0l/snort/pull/459
- RequestBuilder / Core Refactor by @v0l in https://github.com/v0l/snort/pull/326
- Tauri setup by @v0l in https://github.com/v0l/snort/pull/462
- Prevents adding ws relay when over https by @ivanacostarubio in https://github.com/v0l/snort/pull/463
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/465
- OpenGraph tag injection by @v0l in https://github.com/v0l/snort/pull/470

## New Contributors

- @jiftechnify made their first contribution in https://github.com/v0l/snort/pull/454

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.4...v0.1.5

---

# v0.1.4

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.3...v0.1.4

---

# v0.1.3

## What's Changed

- only replace note ID when note ID starts with `@` character by @SamSamskies in https://github.com/v0l/snort/pull/441

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.2...v0.1.3

---

# v0.1.2

## What's Changed

- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/309
- UI bugs by @verbiricha in https://github.com/v0l/snort/pull/301
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/311
- Add build command to readme by @joshr4 in https://github.com/v0l/snort/pull/300
- fix(fotter-actions): add highlighting and min-width by @fernandolguevara in https://github.com/v0l/snort/pull/312
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/313
- `nostr` package part 1 by @fcked in https://github.com/v0l/snort/pull/315
- Reduce space between the texts for selecting relays by @h3y6e in https://github.com/v0l/snort/pull/316
- fix(profile): convert page id to npub bech32 by @fernandolguevara in https://github.com/v0l/snort/pull/322
- Improve overflow menu button by @joshr4 in https://github.com/v0l/snort/pull/304
- German translations for snort by @gandlafbtc in https://github.com/v0l/snort/pull/323
- fix: send all relays when zapping by @verbiricha in https://github.com/v0l/snort/pull/324
- Add default page selector by @jacany in https://github.com/v0l/snort/pull/321
- UI fixes by @verbiricha in https://github.com/v0l/snort/pull/318
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/319
- feat: render kind 1 reposts by @kphrx in https://github.com/v0l/snort/pull/314
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/330
- Use inner note content as comment by @Semisol in https://github.com/v0l/snort/pull/333
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/331
- Fix stale relays by @SamSamskies in https://github.com/v0l/snort/pull/337
- Feed cache rework by @v0l in https://github.com/v0l/snort/pull/339
- fix long zap comment text overflow by @SamSamskies in https://github.com/v0l/snort/pull/344
- fix links in parentheses by @SamSamskies in https://github.com/v0l/snort/pull/347
- Revert "Merge pull request #347 from v0l/fix-links-in-parentheses" by @SamSamskies in https://github.com/v0l/snort/pull/350
- Update thread detection to not include mentions by @w3irdrobot in https://github.com/v0l/snort/pull/351
- Small settings page stuff by @w3irdrobot in https://github.com/v0l/snort/pull/353
- Change message unread color to purple by @w3irdrobot in https://github.com/v0l/snort/pull/354
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/356
- Remove unread message dot when messages all read by @w3irdrobot in https://github.com/v0l/snort/pull/355
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/359
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/362
- `nostr` package part 2 by @fcked in https://github.com/v0l/snort/pull/346
- feat: add search page field autofocus by @lujakob in https://github.com/v0l/snort/pull/363
- fix URL parsing edge cases by @SamSamskies in https://github.com/v0l/snort/pull/360
- Fast Zaps ⚡ by @v0l in https://github.com/v0l/snort/pull/370
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/364
- Feat/add spinner to button by @lujakob in https://github.com/v0l/snort/pull/368
- Update mark all read dm button to be disabled when no unreads by @w3irdrobot in https://github.com/v0l/snort/pull/373
- `nostr` package part 3 by @fcked in https://github.com/v0l/snort/pull/365
- LNDHub/LNC wallet by @v0l in https://github.com/v0l/snort/pull/219
- Proposal: Remove SVGs from JSX by @enjikaka in https://github.com/v0l/snort/pull/382
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/374
- add Nostr Nests embed by @SamSamskies in https://github.com/v0l/snort/pull/377
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/387
- fix icons by @h3y6e in https://github.com/v0l/snort/pull/392
- Fix broken note links by @SamSamskies in https://github.com/v0l/snort/pull/380
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/391
- fix(BackButton): vertical align styles by @lujakob in https://github.com/v0l/snort/pull/397
- feat(note): open note in new tab on cmd press by @lujakob in https://github.com/v0l/snort/pull/395
- fix(skeleton): dark theme styles by @lujakob in https://github.com/v0l/snort/pull/393
- fix HyperText matching by @mattn in https://github.com/v0l/snort/pull/405
- Makes entire note clickable by @d-r-w in https://github.com/v0l/snort/pull/371
- render webm links as inline videos by @SamSamskies in https://github.com/v0l/snort/pull/410
- render embed for youtube live links by @SamSamskies in https://github.com/v0l/snort/pull/407
- do not render reposts of badge award events in timelines by @SamSamskies in https://github.com/v0l/snort/pull/406
- `nostr` package: use `EventEmitter` by @fcked in https://github.com/v0l/snort/pull/384
- `nostr` pacakge: implement basic NIP-20 `OK` functionality by @fcked in https://github.com/v0l/snort/pull/385
- feat: read nip-58 badges by @verbiricha in https://github.com/v0l/snort/pull/394
- Add Wavlake embed by @blastshielddown in https://github.com/v0l/snort/pull/416
- display search results on page load if query in url by @SamSamskies in https://github.com/v0l/snort/pull/415
- Fix event mention bug by @SamSamskies in https://github.com/v0l/snort/pull/421
- fix NaN when parsing empty string by @SamSamskies in https://github.com/v0l/snort/pull/422
- NIP06 support by @w3irdrobot in https://github.com/v0l/snort/pull/425
- Added key attr to Tabs to remove React warning by @w3irdrobot in https://github.com/v0l/snort/pull/424
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/426
- New Crowdin updates by @v0l in https://github.com/v0l/snort/pull/436
- Update Wavlake embed URL, add support for album & artist links by @blastshielddown in https://github.com/v0l/snort/pull/439
- build(deps): bump webpack from 5.75.0 to 5.76.1 by @dependabot in https://github.com/v0l/snort/pull/442

## New Contributors

- @joshr4 made their first contribution in https://github.com/v0l/snort/pull/300
- @gandlafbtc made their first contribution in https://github.com/v0l/snort/pull/323
- @jacany made their first contribution in https://github.com/v0l/snort/pull/321
- @kphrx made their first contribution in https://github.com/v0l/snort/pull/314
- @lujakob made their first contribution in https://github.com/v0l/snort/pull/363
- @mattn made their first contribution in https://github.com/v0l/snort/pull/405
- @d-r-w made their first contribution in https://github.com/v0l/snort/pull/371
- @blastshielddown made their first contribution in https://github.com/v0l/snort/pull/416
- @dependabot made their first contribution in https://github.com/v0l/snort/pull/442

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.1...v0.1.2

---

# v0.1.1

## What's Changed

- React Map Optimization, [missing map keys ] by @ahmedrowaihi in https://github.com/v0l/snort/pull/283
- Translate '/src/lang.json' in 'ar' by @transifex-integration in https://github.com/v0l/snort/pull/287
- HTML auto direction for specific textual content by @verbiricha in https://github.com/v0l/snort/pull/286
- Translate '/src/lang.json' in 'hu' by @transifex-integration in https://github.com/v0l/snort/pull/288
- feat: twitch embed by @v0l in https://github.com/v0l/snort/pull/289
- fix: don't show 0 if there is no description by @verbiricha in https://github.com/v0l/snort/pull/290
- feat: pinned notes and bookmarks by @verbiricha in https://github.com/v0l/snort/pull/255
- Translate '/src/lang.json' in 'ja' by @transifex-integration in https://github.com/v0l/snort/pull/293
- fix: set auto to whole text content instead of individual paragraphs by @verbiricha in https://github.com/v0l/snort/pull/292
- protocol handler by @v0l in https://github.com/v0l/snort/pull/164
- feat: read global from specific (paid) relays by @v0l in https://github.com/v0l/snort/pull/249
- SUPPORT RTL/LTR ON LOGIN PAGE by @ahmedrowaihi in https://github.com/v0l/snort/pull/291
- Add Apple Music embed by @SamSamskies in https://github.com/v0l/snort/pull/294
- Workspace with decoupled `nostr` package by @ennmichael in https://github.com/v0l/snort/pull/274
- Translate '/src/lang.json' in 'ar' by @transifex-integration in https://github.com/v0l/snort/pull/296
- UI fixes + counts on profile page tabs by @verbiricha in https://github.com/v0l/snort/pull/282
- Fix blackout when selecting global tab by @h3y6e in https://github.com/v0l/snort/pull/297
- Prevent profile text from overflowing flex container when it is too long by @h3y6e in https://github.com/v0l/snort/pull/298

## New Contributors

- @ahmedrowaihi made their first contribution in https://github.com/v0l/snort/pull/283

**Full Changelog**: https://github.com/v0l/snort/compare/v0.1.0...v0.1.1

---

# v0.1.0

## What's Changed

- Add global tab to Root by @p2pseed in https://github.com/v0l/snort/pull/3
- UI improvements by @verbiricha in https://github.com/v0l/snort/pull/4
- fix: dedupe thread pubkeys by @verbiricha in https://github.com/v0l/snort/pull/7
- Note creator improvement by @verbiricha in https://github.com/v0l/snort/pull/6
- fix: correctly follow user mention links by @verbiricha in https://github.com/v0l/snort/pull/5
- fix: force timeline rerender on tab change by @verbiricha in https://github.com/v0l/snort/pull/8
- feat: add mov to video files by @verbiricha in https://github.com/v0l/snort/pull/9
- feat: copy npub on profile by @verbiricha in https://github.com/v0l/snort/pull/10
- fix: display full lightning address, is trimmed if too long by @verbiricha in https://github.com/v0l/snort/pull/12
- feat: embed youtube videos by @verbiricha in https://github.com/v0l/snort/pull/13
- feat: add support for positive and negative reactions by @verbiricha in https://github.com/v0l/snort/pull/11
- feat: nip05 on profile page by @verbiricha in https://github.com/v0l/snort/pull/21
- UI improvements by @verbiricha in https://github.com/v0l/snort/pull/24
- Home tabs by @v0l in https://github.com/v0l/snort/pull/25
- fix: support m.youtube.com subdomain links by @verbiricha in https://github.com/v0l/snort/pull/27
- fix: use all available width for note creator text area by @verbiricha in https://github.com/v0l/snort/pull/28
- highlight hashtags by @verbiricha in https://github.com/v0l/snort/pull/29
- UI tweaks by @verbiricha in https://github.com/v0l/snort/pull/30
- Improve regexes by @verbiricha in https://github.com/v0l/snort/pull/32
- Shows QR code first by @ivanacostarubio in https://github.com/v0l/snort/pull/23
- feat: embed tweets by @verbiricha in https://github.com/v0l/snort/pull/33
- Nip5 shop by @v0l in https://github.com/v0l/snort/pull/50
- Activate snort.social NIP-5 service by @v0l in https://github.com/v0l/snort/pull/51
- feat: add avatar borders with color gradients to partner nip05 providers by @verbiricha in https://github.com/v0l/snort/pull/52
- DM's by @v0l in https://github.com/v0l/snort/pull/54
- feat: display banner in profile by @verbiricha in https://github.com/v0l/snort/pull/53
- add max width to details by @verbiricha in https://github.com/v0l/snort/pull/59
- Markdown by @verbiricha in https://github.com/v0l/snort/pull/55
- feat: mentions by @verbiricha in https://github.com/v0l/snort/pull/56
- Minor UI fixes by @verbiricha in https://github.com/v0l/snort/pull/63
- add user DB and cache nip-05 verifications by @verbiricha in https://github.com/v0l/snort/pull/65
- fix: adjust nip05 size by @verbiricha in https://github.com/v0l/snort/pull/66
- fix: dont display display_name as nip user when username is default by @verbiricha in https://github.com/v0l/snort/pull/67
- fix: don't retry errored verifications by @verbiricha in https://github.com/v0l/snort/pull/71
- UI improvements by @verbiricha in https://github.com/v0l/snort/pull/70
- refactor: TS by @v0l in https://github.com/v0l/snort/pull/69
- More TSX by @v0l in https://github.com/v0l/snort/pull/74
- Moar UI fixes by @verbiricha in https://github.com/v0l/snort/pull/73
- fix: autocomplete colors by @verbiricha in https://github.com/v0l/snort/pull/75
- feat: query for autocompletion using local db by @verbiricha in https://github.com/v0l/snort/pull/76
- fix: rerender user timeline on pubkey change by @verbiricha in https://github.com/v0l/snort/pull/77
- feat: follows you on profile page by @ivanacostarubio in https://github.com/v0l/snort/pull/64
- autocomplete improvements by @verbiricha in https://github.com/v0l/snort/pull/83
- filter for self dms by @LiranCohen in https://github.com/v0l/snort/pull/86
- Notifications by @v0l in https://github.com/v0l/snort/pull/88
- Theme by @verbiricha in https://github.com/v0l/snort/pull/87
- Modified self-dm to be a "Note to Self" by @LiranCohen in https://github.com/v0l/snort/pull/89
- note footer ordering by @verbiricha in https://github.com/v0l/snort/pull/91
- Hashtags by @v0l in https://github.com/v0l/snort/pull/92
- Make logo cursor a pointer by @w3irdrobot in https://github.com/v0l/snort/pull/99
- fix: active note colors by @verbiricha in https://github.com/v0l/snort/pull/102
- Tidal embeds by @v0l in https://github.com/v0l/snort/pull/95
- UI improvements by @verbiricha in https://github.com/v0l/snort/pull/103
- User preferences by @v0l in https://github.com/v0l/snort/pull/104
- Add note context menu by @v0l in https://github.com/v0l/snort/pull/105
- feat: soundcloud embed by @ivanacostarubio in https://github.com/v0l/snort/pull/112
- feat: Show latest by @v0l in https://github.com/v0l/snort/pull/113
- light theme fixes by @verbiricha in https://github.com/v0l/snort/pull/116
- add Karnage to contributors by @verbiricha in https://github.com/v0l/snort/pull/117
- feat: note mentions by @verbiricha in https://github.com/v0l/snort/pull/125
- Preferences & Profile changes by @FlannelDipole in https://github.com/v0l/snort/pull/126
- sort bug in the event that your pubkey is the 2nd item in the list by @LiranCohen in https://github.com/v0l/snort/pull/137
- UI updates by @verbiricha in https://github.com/v0l/snort/pull/135
- fix: hide note creator on send by @verbiricha in https://github.com/v0l/snort/pull/139
- fix: add bottom margin to thread by @verbiricha in https://github.com/v0l/snort/pull/140
- adds mixcloud by @ivanacostarubio in https://github.com/v0l/snort/pull/136
- feat: audio player by @verbiricha in https://github.com/v0l/snort/pull/146
- feat: in-memory fallback for storing user profiles by @verbiricha in https://github.com/v0l/snort/pull/110
- Make Markdown more interoperable by @fiatjaf in https://github.com/v0l/snort/pull/153
- fix: default to in-memory db only on db read fail by @verbiricha in https://github.com/v0l/snort/pull/155
- bug: logout reply by @ivanacostarubio in https://github.com/v0l/snort/pull/154
- Search by @v0l in https://github.com/v0l/snort/pull/143
- Nip42 (AUTH) by @v0l in https://github.com/v0l/snort/pull/144
- Muted list via NIP-51 by @verbiricha in https://github.com/v0l/snort/pull/151
- Add more relays (high performance) by @Semisol in https://github.com/v0l/snort/pull/149
- Show absolute time on hover by @wanacode in https://github.com/v0l/snort/pull/166
- nostr.build file uploads by @v0l in https://github.com/v0l/snort/pull/162
- New UI by @v0l in https://github.com/v0l/snort/pull/161
- fix: send d tags as list by @verbiricha in https://github.com/v0l/snort/pull/169
- Image proxy service by @v0l in https://github.com/v0l/snort/pull/174
- Translate notes by @v0l in https://github.com/v0l/snort/pull/179
- Use standard imgproxy by @v0l in https://github.com/v0l/snort/pull/180
- Fix races where Socket is closed before Websocket is created by @brugeman in https://github.com/v0l/snort/pull/186
- feat: nostrimg.com by @v0l in https://github.com/v0l/snort/pull/181
- Add Spotify embed by @SamSamskies in https://github.com/v0l/snort/pull/188
- Ln invoice styling by @verbiricha in https://github.com/v0l/snort/pull/187
- feed cache by @v0l in https://github.com/v0l/snort/pull/184
- bug: prepends https when missing from website by @ivanacostarubio in https://github.com/v0l/snort/pull/194
- Use the current embed player via TIDALs OEmbed API. by @enjikaka in https://github.com/v0l/snort/pull/191
- feat: zaps by @verbiricha in https://github.com/v0l/snort/pull/78
- display note zaps succintly by @verbiricha in https://github.com/v0l/snort/pull/196
- nostr-pub.semisol.dev is now atlas.nostr.land by @Semisol in https://github.com/v0l/snort/pull/198
- Zaps fixes by @verbiricha in https://github.com/v0l/snort/pull/199
- Note creator improvements by @verbiricha in https://github.com/v0l/snort/pull/193
- Settings page and UI tweaks by @verbiricha in https://github.com/v0l/snort/pull/200
- fix avatars by @verbiricha in https://github.com/v0l/snort/pull/203
- Skeleton component on timeline loading for better user experience by @leotuna in https://github.com/v0l/snort/pull/190
- Threads by @verbiricha in https://github.com/v0l/snort/pull/170
- fix: don't stream global feed in notifications tab by @verbiricha in https://github.com/v0l/snort/pull/207
- Zap modal by @verbiricha in https://github.com/v0l/snort/pull/209
- Add prettier formatting by @ennmichael in https://github.com/v0l/snort/pull/214
- react-intl spike by @SamSamskies in https://github.com/v0l/snort/pull/216
- Add support for zh and ja locales by @SamSamskies in https://github.com/v0l/snort/pull/218
- feat: reactions modal by @verbiricha in https://github.com/v0l/snort/pull/215
- Translate '/src/translations/en.json' in 'es' by @transifex-integration in https://github.com/v0l/snort/pull/224
- Translate '/src/translations/en.json' in 'ja' by @transifex-integration in https://github.com/v0l/snort/pull/227
- fix: allow zap comments by @verbiricha in https://github.com/v0l/snort/pull/229
- Eslint by @v0l in https://github.com/v0l/snort/pull/223
- Translate '/src/translations/en.json' in 'fr' by @transifex-integration in https://github.com/v0l/snort/pull/230
- add ability to use babel plugins without ejecting by @SamSamskies in https://github.com/v0l/snort/pull/225
- add prettier pre-commit hook by @SamSamskies in https://github.com/v0l/snort/pull/234
- oversight of intl by @h3y6e in https://github.com/v0l/snort/pull/231
- feat: new login page by @v0l in https://github.com/v0l/snort/pull/235
- feat: onboarding by @verbiricha in https://github.com/v0l/snort/pull/233
- Translate '/src/translations/en.json' in 'ja' by @transifex-integration in https://github.com/v0l/snort/pull/243
- Translate '/src/translations/en.json' in 'fr' by @transifex-integration in https://github.com/v0l/snort/pull/242
- Translate '/src/translations/en.json' in 'es' by @transifex-integration in https://github.com/v0l/snort/pull/241
- feat: break lang by @v0l in https://github.com/v0l/snort/pull/244
- fix(missing-event): avoid redirect by @fernandolguevara in https://github.com/v0l/snort/pull/246
- fix(content): render media content for current pubkey by @fernandolguevara in https://github.com/v0l/snort/pull/240
- remove follow button from reactions modal by @SamSamskies in https://github.com/v0l/snort/pull/247
- NIP-65: Relay list metada by @verbiricha in https://github.com/v0l/snort/pull/238
- Fix DM page UI by @SamSamskies in https://github.com/v0l/snort/pull/250
- Translate '/src/lang.json' in 'es' by @transifex-integration in https://github.com/v0l/snort/pull/252
- Translate '/src/lang.json' in 'es' [manual sync] by @transifex-integration in https://github.com/v0l/snort/pull/258
- Translate '/src/lang.json' in 'fr' [manual sync] by @transifex-integration in https://github.com/v0l/snort/pull/259
- Translate '/src/lang.json' in 'hu' [manual sync] by @transifex-integration in https://github.com/v0l/snort/pull/260
- Translate '/src/lang.json' in 'ja' [manual sync] by @transifex-integration in https://github.com/v0l/snort/pull/261
- Translate '/src/lang.json' in 'zh' [manual sync] by @transifex-integration in https://github.com/v0l/snort/pull/262
- Translate '/src/lang.json' in 'ja' by @transifex-integration in https://github.com/v0l/snort/pull/275
- Translate '/src/lang.json' in 'id' by @transifex-integration in https://github.com/v0l/snort/pull/277
- Translate '/src/lang.json' in 'zh' by @transifex-integration in https://github.com/v0l/snort/pull/278
- Translate '/src/lang.json' in 'es' by @transifex-integration in https://github.com/v0l/snort/pull/279
- Translate '/src/lang.json' in 'hu' by @transifex-integration in https://github.com/v0l/snort/pull/280
- Translate '/src/lang.json' in 'fr' by @transifex-integration in https://github.com/v0l/snort/pull/281

## New Contributors

- @p2pseed made their first contribution in https://github.com/v0l/snort/pull/3
- @v0l made their first contribution in https://github.com/v0l/snort/pull/25
- @ivanacostarubio made their first contribution in https://github.com/v0l/snort/pull/23
- @w3irdrobot made their first contribution in https://github.com/v0l/snort/pull/99
- @FlannelDipole made their first contribution in https://github.com/v0l/snort/pull/126
- @fiatjaf made their first contribution in https://github.com/v0l/snort/pull/153
- @Semisol made their first contribution in https://github.com/v0l/snort/pull/149
- @wanacode made their first contribution in https://github.com/v0l/snort/pull/166
- @SamSamskies made their first contribution in https://github.com/v0l/snort/pull/188
- @enjikaka made their first contribution in https://github.com/v0l/snort/pull/191
- @leotuna made their first contribution in https://github.com/v0l/snort/pull/190
- @transifex-integration made their first contribution in https://github.com/v0l/snort/pull/224
- @h3y6e made their first contribution in https://github.com/v0l/snort/pull/231
- @fernandolguevara made their first contribution in https://github.com/v0l/snort/pull/246

**Full Changelog**: https://github.com/v0l/snort/commits/v0.1.0
